@font-face {
  font-family: 'EBG';
  src: url('fonts/EBGaramond-VariableFont_wght.ttf');
}
@font-face {
  font-family: 'EBGItalic';
  src: url('fonts/EBGaramond-Italic-VariableFont_wght.ttf');
}
:root {
  /* Light: #f6eee3 */
  /* Med: #eee7d7 */
  /* Darker: #e5decf */
  --color-main: #eee7d7;
  --color-sub: #f6eee3;
  --color-red: #8d0000; /* #8d0000 */
}

html {
  /* #2e1a1f #420615*/
  background-color: #2e1a1f;
}

body {
  font-family: 'EBG';
  background-color: var(--color-main);
  width: 50%;
  min-height: 100vh;
  margin: 0 auto;
  font-weight: 600;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  overflow-x: hidden;

  /* border colors: #554148, */
  border-left: double #554148 .5rem;
  border-right: double #554148 .5em;
}
main {
  flex: 1;
}

/* HEADER & NAV */
header {
  padding: .75rem 0 0;
  text-align: center;
}
.site-title { /* INDEX */
  margin: 0 auto .2rem;
  text-align: center;
  padding: .25rem 0;
  border-bottom: solid black .125rem;
  width: 62%;
  font-family: 'EBGItalic';
  font-size: 2rem;
  font-weight: 650;
  text-decoration: none;
  color: black;
  cursor:default;
}
.navbar {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  font-family: "EBGItalic";
  width: 100%;
}
.index-nav {
  font-family: "EBG";
}

.nav-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.nav-list li {
  display: inline;
  position: relative;
}
.nav-list a {
  color: black;
  text-decoration: none;
  font-weight: 650;
  font-size: 1.4rem;
  padding: .5rem .5rem 1rem;
}
.nav-list a:hover {
  text-decoration: underline;
  text-decoration-thickness: .125rem;
  color:var(--color-red);
}
.nav-button {
  background: none;
  border: none;
  font: inherit;
  cursor: pointer;

  color: black;
  text-decoration: none;
  font-weight: 650;
  font-size: 1.4rem;
  padding: 0 .5rem 0;
}

/* DROPDOWN */
.dropdown-menu { /* hidden */
  display: none;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;

  list-style: none;
  padding: .15rem .25rem .5rem;
  text-align: center;
  font-family: "EBG";

  background: var(--color-sub);
  border: .125rem solid black;
}

/* spacing inside dropdown */
.dropdown-menu li a {
  display: block;
  font-size: 1.25rem;
  padding: 0 .25rem;
  white-space: nowrap;
}

/* show on hover (desktop) */
/* MOVED TO RESPONSIVE SECTION */

/* FOOTER */
footer {
  font-family: "EBGItalic";
  font-weight: 700;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin: 0 auto 1rem;
}

/* EMBEDDED VIDEO */
.music-videos {
  position: relative;
  max-width: 500px;
  width: 100%;
  height: 100%;
  margin: 2rem auto 0;
  aspect-ratio: 16 / 9;
  display: flex;
  justify-content: center;
  align-items: center;
  border: solid black .3rem;
}
.music-videos h2 {
  position: absolute;
  text-align: center;
  margin: 0;
  padding: .35rem 0;
  font-size: 1.25rem;
  font-family: "EBGItalic";
  bottom: 0;
  width: 100%;
  color: #eee7d7;
  background-color:rgba(0, 0, 0, 0.75);
}
.video {
  /* border: .65rem solid black; */
  display: block;
  margin: 0 auto 0rem;
  text-align: center;
  width: 100%;
  height: auto;
  max-width: 100%;
  position: relative;
  cursor: pointer;
  box-shadow: 0 0 0 .125rem black;
  aspect-ratio: 16/9;
}
#video-thumbnail {
  width: 100%;
  height: 100%;
  position: relative;
  cursor: pointer;
}
#video-thumbnail img {
  width: 100%;
  height: 100%;
}

.play-button-main {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  
  width: 64px;
  height: 64px;
  background: rgba(0, 0, 0, 0.6);
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  transition: opacity 0.2s ease;
}
.play-button-main svg {
  margin-left: 2px;
}
.video-thumbnail:hover .play-button {
  opacity: 0.8;
}
/* ARROWS */
.arrow {
  position: absolute;
  top: 42%;
  transform: translateY(-50%);
  
  background: none;
  color: black;
  border: none;
  font-size: 4rem;
  /* width: 40px;
  height: 60px; */
  cursor: pointer;
  
  display: flex;
  align-items: center;
  justify-content: center;
}
.arrow:hover {
  opacity: 1;
  color:var(--color-red);
}
.arrow.left {
  left: -3rem;
}
.arrow.right {
  right: -3rem;
}

/* ABOUT */
.about {
  width: 75%;
  margin: 1.25rem auto 0;
  padding-bottom: .8rem;
  border-bottom: solid black .125rem;
}
.about h2 {
  font-family: "EBGItalic";
  text-align: center;
  font-size: 1.5rem;
  font-weight: 600;
  margin: 0 auto;
  border-bottom: solid black .125rem;
  width: 13rem;
}
.about p {
  margin: .5rem 0 .5rem;
  font-weight: 500;
  font-size: 1.25rem;
  text-indent: 2em;
}
.bold-a {
  color: var(--color-red);
  text-decoration: none;
  font-weight: 600;
  color: var(--color-red);
}
.bold-a:hover {
  text-decoration: underline;
  text-decoration-thickness: .125rem;
}
.p-a {
  color: var(--color-red);
  text-decoration: none;
  font-weight: 500;
}
.p-a:hover {
  text-decoration: underline;
  text-decoration-thickness: .125rem;
}

/* LINKS */
.links-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 1.5rem;
  width: 75%;
  margin: .8rem auto 1.5rem;
}
.links {
  margin: .8rem auto 1.5rem;
  text-align: center;
}
.links-grid h2 {
  font-size: 1.5rem;
  font-weight: 600;
  width: 80%;
  margin: 0 auto;
  font-family: "EBGItalic";
  text-decoration: underline .125rem;
}
.links-grid p {
  font-size: 1.25rem;
  margin: .25rem 0;
  text-indent: 0em;
}

/* CONTACT */
.contact {
  margin-top: 10rem;
  text-align: center;
}
.contact a {
  color: var(--color-red);
  font-size: 2rem;
  text-decoration: none;
  font-weight: 650;
}

/* GUITAR LESSONS */
  .guitar-lessons {
    width: 75%;
    margin: 1rem auto 0;
    padding-bottom: .8rem;
  }
  .guitar-lessons p {
    margin: .5rem 0 .5rem;
    font-weight: 500;
    font-size: 1.25rem;
    text-indent: 2em;
  }
  .guitar-lessons-head {
    width: 84% !important;
    padding: 0 0 .5rem !important;
  }
  .lesson-contact {
    text-decoration: underline .125rem;
  }
  .lesson-img {
    display: flex;
    width: 44%;
    margin: .2rem auto 1rem;
    border: solid black .125rem;
  }
  .center p{
    text-align: center;
    text-indent: 0;
  }

/* CONCERTINA LESSONS */
  .EC-lessons-head {
    padding: 0 0 .5rem !important;
  }
  
/* SHEET MUSIC STORE */
.music-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 1.5rem;
  margin: 1rem 4rem;
}
.card {
  border: .125rem solid black;
  padding: 1rem;
  text-align: center;
  background:var(--color-sub);
}
.card img {
  width: 100%;
  height: auto;
  display: block;
}
.card .purchase {
  display: inline-block;
  color: black;
  padding: 0rem 0.8rem;
  font-size: 1.4rem;
  font-weight: 600;
  text-decoration: underline .125rem;
}
.card .purchase:hover {
  color: var(--color-red);
}

.score-title {
  margin: 0.5rem 0 0;
  font-size: 1.4rem;
  line-height: 1;
  font-weight: 600;
}
.score-link {
  text-decoration: none;
  color: var(--color-red);
  border: none;
}
.score-link:hover {
  text-decoration: underline .125rem;
}
.score-subtitle {
  margin: 0;
  font-size: 1.1rem;
  font-weight: 600;
}
.score-price {
  margin: .5rem 0;
  font-size: 1.1rem;
  font-weight: 600;
}
.score-video {
  width: 100%;
  height: auto;
  display: block;
}
.score-listen {
  max-width: 100%;
  position: relative;
  cursor: pointer;
  box-shadow: 0 0 0 .125rem black;
  aspect-ratio: 16/9;
}
.score-listen img {
  width: 100%;
  height: auto;
  display: block;
}
.score-video-embed {
  max-width: 100%;
  height: auto;
  aspect-ratio: 16/9;
  display: block;
}
.play-button-score {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  
  width: 64px;
  height: 64px;
  background: rgba(0, 0, 0, 0.6);
  border-radius: 50%;

  display: flex;
  align-items: center;
  justify-content: center;

  transition: opacity 0.2s ease;
}
.play-button-score svg {
  margin-left: 2px;
}
.composer-portrait {
  max-width: 80%;
  margin: 0 auto;
  height: auto;
  position: relative;
  cursor: pointer;
  box-shadow: 0 0 0 .125rem black;
}

/* SCORE PAGE */
.score-head {
  text-align: center;
  margin: 1rem auto 0rem;
  padding: 0;
  border: none;
  width: 60%;
  line-height: 1.25;
}
.kofi-notice {
  text-align: center;
  padding: 0;
  margin: 0rem;
  font-size: 1.1rem;
}
.purchase-info {
  text-align: center;
  font-size: 1.4rem;
}
.purchase-link {
  margin: 0 auto;
  padding: 1.4rem 4rem 2.5rem;
  text-align: center;
  font-size: 1.5rem;
  font-weight: 700;
  color: var(--color-red);
  text-decoration: none;
}
.purchase-link:hover {
  text-decoration: underline .125rem;
}
.credit-link {
  font-size: 1.4rem;
  font-weight: 600;
  color: var(--color-red);
  text-decoration: none;
}
.credit-link:hover {
  text-decoration: underline .125rem;
}
.view-more {
  font-size: 1.4rem;
  text-align: center;
  margin: 2.6rem auto;
  width: 44%;
  border-top: black solid .125rem;
}
.view-more-link {
  display: block;
  color: black;
  text-decoration: underline .125rem;
  margin: 0 auto 1rem 2rem;
  border-bottom: black solid .125rem;
  margin: 0;
  padding: 2rem 0 2.8rem;
}
.view-more a:hover {
  color: var(--color-red)
}
.lonely-view-link {
  border-bottom: none;
  padding: 1rem 0 2.8rem;
}
.extra-scores-label {
  margin: 0 auto;
  width: 54%;
}
.extra-scores {
  color: black;
  margin: 2rem auto 1rem;
}
.extra-scores-link {
  display: block;
  margin: 0 auto;
  color: black;
  text-decoration: underline .125rem; 
  padding: .3rem 0;
  font-size: 1.25rem;
}

/* FORMATTING */
.main-head {
  text-align: center;
  margin: 1rem auto 0rem;
  padding: 0 0 .25rem;
  border: none;
  width: 60%;
  border-bottom: solid .125rem;
  line-height: 1;
}
.page-subtitle {
  font-weight: 600;
  font-size: 1.4rem;
  margin: 0;
}
.page-title {
  margin: 0;
  padding: 0;
  font-weight: 600;
}

/* MOBILE */
@media (max-width: 768px) {
  body {
    width:100%;
    border-left: none;
    border-right: none;
  }
  header {
    padding: .5rem 0 0;
    text-align: center;
  }
  .site-title {
    width: 90%;
    line-height: 1;
    padding: 0 0 .5rem;
  }
  .navbar {
    display: inline-flex;
    margin: 0 auto;
    width: 96%;
    line-height: 1;
  }
  .nav-list {
    display: inline-flex;
    justify-content: flex-start;
    padding: 0 0 .5rem;
    border-bottom: solid black .125rem;
  }
  .index-nav {
    width: 90%;
    border: none;
  }
  .nav-list a {
    text-align: center;
    font-size: 1.25rem;
    padding: 0rem .3rem 0rem;
  }
  .nav-list li {
    display: flex;
    margin: auto;
  }
  .nav-list .nav-button {
    line-height: 1;
    padding: 0rem .3rem 0rem;
  }
  .nav-button {
    font-size: 1.25rem;
  }
  .music-videos {
    max-width: 75%;
    margin: .5rem auto 0;
  }
  .video {
    margin: 0rem auto 0rem;
  }
  .arrow {
    font-size: 3rem;
  }
  .arrow.left {
    left: -2.5rem;
  }
  .arrow.right {
    right: -2.5rem;
  }
  .about {
    margin: 1rem auto 0;
    padding-bottom: .6rem;
    width: 85%;
    line-height: 1.2;
  }
  .links {
    margin: .5rem auto 0;
  }
  .links p {
    text-indent: .25em;
  }
  .links-grid {
    gap: 0rem;
    margin: .25rem auto 1rem;
  }
  /* DROPDOWN MOBILE */
  .dropdown-menu {
    line-height: 1.5;
    text-align: center;
  }
  .dropdown-menu.open {
    display: block;
    text-align: center;
  }
  .dropdown-menu li a {
    margin: 0 auto;
  }
  /* CONTACT */
  .contact a {
    font-size: 1.8rem;
  }
  /* PAGE HEADS */
  .main-head {
    width: 90%;
    margin: .5rem auto 0rem;
    border: none;
  }
  .score-head {
    width: 90%;
  }
  .view-all {
    width: 80%;
  }
  .page-title {
    font-size: 1.4rem;
    margin: .8rem 0 0;
  }
  /* GUITAR LESSONS */
  .guitar-lessons {
    margin: 0rem auto 0;
    padding-bottom: .6rem;
    width: 85%;
    line-height: 1.2;
    font-weight: 500;
  }
  .guitar-lessons p {
    margin: .25rem 0 .5rem;
  }
  .lesson-img {
    display: flex;
    width: 66%;
    margin: .2rem auto 1rem;
    border: solid black .125rem;
  }
  .concertina-img {
    width: 86%;
  }
  .center p{
    text-align: center;
    text-indent: 0;
  }
  /* STORE */
  .music-grid {
    margin: 1rem 2.6rem;
  }
  /* SCORE PAGE */
  .view-more {
    width: 85%;
  }
  .view-more a:hover {
    color: var(--color-red)
  }
  .view-more-link {
    padding: 1.5rem 0 2.2rem;
  }
  .extra-scores-label {
    margin: 0 auto 0rem;
  }
}

/* DESKTOP/NOT MOBILE */
@media (min-width: 769px) {
  .dropdown:hover .dropdown-menu { /* Hover only on desktop */
    display: block;
  }
}